%define section	free

Name:		c-jdbc
Version:	1.1
Release:	1jpp_1rh
Epoch:		0
Summary:	Gives applications a transparent access to a cluster of databases
License:	BSD
URL:		http://c-jdbc.objectweb.org/
Group:		Database
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	http://download.us.forge.objectweb.org/c-jdbc/c-jdbc-%{version}-src.tar.gz
Requires:	jakarta-commons-cli
Requires:	jgroups
Requires:	jaxp_parser_impl
Requires:	jdbc-stdext
Requires:	log4j
Requires:	mx4j >= 2.0.1
Requires:	dom4j
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	jakarta-commons-cli
BuildRequires:	jgroups
BuildRequires:	jaxp_parser_impl
BuildRequires:	jdbc-stdext
BuildRequires:	log4j
BuildRequires:	mx4j >= 2.0.1
BuildRequires:	dom4j
BuildRequires:	dtdparser
BuildRequires:	jcommon
BuildRequires:	jfreechart
BuildRequires:	jline
BuildRequires:	regexp
# FIXME We need to pack these ObjectWeb projects: tribe and octopus
#BuildRequires:	octopus
#BuildRequires:	tribe
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
E-business applications performance becomes quickly bounded by database
throughput especially when using public domain RDBMS on regular
workstations. C-JDBC is a database cluster middleware that allows any
Java application (standalone application, servlet or EJB container, ...)
to transparently access a cluster of databases through JDBC(tm).

You do not have to modify client applications, application servers or
database server software. You just have to ensure that all database
accesses are performed through JDBC.

C-JDBC provides a flexible architecture that allows you to achieve
scalability, high availability and failover with your database tiers.
C-JDBC instantiates the concept of RAIDb : Redundant Array of
Inexpensive Databases. The database is distributed and replicated among
several nodes and C-JDBC load balance the queries between these nodes.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
# FIXME We need to pack these ObjectWeb projects: tribe and octopus
find . -name "*.jar" \
       -not -name Octopus*.jar \
       -not -name tribe*.jar \
       -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath jakarta-commons-cli jaxp_parser_impl jdbc-stdext jgroups log4j mx4j/mx4j-jmx mx4j/mx4j-tools mx4j/mx4j-remote dom4j dtdparser jcommon jline jfreechart regexp)
pushd lib
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
popd
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

for jar in build/jar/*.jar; do
install -m 644 ${jar} \
$RPM_BUILD_ROOT%{_javadir}/%{name}/`basename ${jar} .jar`-%{version}.jar
done

(cd $RPM_BUILD_ROOT%{_javadir}//%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc doc/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1-1jpp_1rh
- First Red Hat build

* Fri Mar 04 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1-1jpp
- Update to 1.1

* Fri Oct 22 2004 Fernando Nasser <fnasser@redhat.com> 0:1.0.4-2jpp
- Update to 1.0.4

* Thu Aug 19 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.b15.6jpp
- Build with ant-1.6.2

* Mon Feb 09 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b15.5jpp
- require jdbc-stdext, not jdbc-stdext-ext

* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b15.4jpp
- don't own %%{_javadir}

* Wed Jan 28 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b15.3jpp
- change Group to `Database'

* Mon Jan 26 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b15.2jpp
- add jdbc-stdext to classpath

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:1.0-0.b15.1jpp
- release
